#
# spec file for package yast2-support
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           yast2-support
Version:        2.13.11
Release:        0.7.9
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-support-2.13.11.tar.bz2

Prefix:         /usr

Requires:       yast2
BuildRequires:  perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-testsuite

BuildArch:      noarch

Summary:        YaST2 - Support Inquiries

%description
This module allows you to collect system information for installation
support in a standardized format.



%prep
%setup -n yast2-support-2.13.11

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install

export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"

%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
# V=1: verbose build in case we used AM_SILENT_RULES(yes)
# so that RPM_OPT_FLAGS check works
make %{?jobs:-j%jobs} V=1

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/support
/usr/share/YaST2/include/support/*
/usr/share/YaST2/clients/support.ycp
/usr/share/YaST2/clients/support_*.ycp
/usr/share/YaST2/modules/Support.*
%{prefix}/share/applications/YaST2/support.desktop
/usr/share/YaST2/scrconf/*.scr
%doc %{prefix}/share/doc/packages/yast2-support
%changelog
* Wed Jan 26 2011 jsrain@suse.cz
- fixed dialogs and supportconfig call (bnc#665910)
- 2.13.11
* Mon May 25 2009 mzugec@suse.de
- removed calls of not-implemented functions
* Sun May 17 2009 mzugec@suse.cz
- YaST module for supportconfig (fate#303811)
- 2.13.10
* Thu May 14 2009 mzugec@suse.cz
- changed version for SLE10-SP3
- 2.13.0
* Thu Feb 12 2009 mzugec@suse.cz
- set window title (bnc#474618)
- 2.18.0
* Fri Jan  9 2009 varkoly@suse.de
- bnc#447588 - remove progress dialog on start of support module
* Tue Nov 25 2008 mzugec@suse.cz
- added VAR_OPTION_GPG_UID support (bnc#445310)
- 2.17.18
* Tue Nov 25 2008 mzugec@suse.cz
- copy also .md5 file (bnc#445294)
- handle `close event (bnc#446073)
- quote upload target URL (bnc#445315)
- SR numbers validator (bnc#445289)
- 2.17.17
* Thu Nov 20 2008 mzugec@suse.cz
- fixed help string (bnc#436773)
* Wed Nov 19 2008 jsrain@suse.cz
- fixed browser invokation (bnc #439903)
- 2.17.16
* Fri Nov  7 2008 mzugec@suse.cz
- next->ok button in Overview dialog (bnc#442358)
- several upload fixes (bnc#440666)
- 2.17.15
* Fri Nov  7 2008 jsrain@suse.cz
- added reference to Novell's privacy policy (fate #303850)
- 2.17.14
* Wed Nov  5 2008 jsrain@suse.cz
- fixed typos (bnc #441790)
- 2.17.13
* Wed Oct 29 2008 jsrain@suse.cz
- issue a warning before starting browser as root
- fixed passing root password to supportconfig if YaST is run as
  non-root
* Wed Oct 29 2008 mzugec@suse.de
- fixed layout
- 2.17.12
* Mon Oct 27 2008 mzugec@suse.cz
- improved Upload dialog
- 2.17.11
* Fri Oct 24 2008 jsrain@suse.cz
- added help texts
- 2.17.10
* Wed Oct 22 2008 jsrain@suse.cz
- added support for running as non-root
* Mon Oct 20 2008 mzugec@suse.cz
- fixed some text typos (bnc#436826)
* Mon Oct 13 2008 mzugec@suse.cz
- changed workflow for upload tarball
- 2.17.9
* Thu Oct  9 2008 mzugec@suse.cz
- separate minimum, full and default configuration
- removed temporary directory selection
- added text decriptions for expert options
- removed VAR_OPTION* from expert dialog
- 2.17.8
* Thu Oct  2 2008 mzugec@suse.de
- moved module into Support group (bnc#430005)
- 2.17.7
* Thu Oct  2 2008 mzugec@suse.cz
- changed Novell Support Center URL
* Mon Sep 29 2008 mzugec@suse.cz
- added support for new identifiers (fate#305243)
- 2.17.6
* Mon Sep 29 2008 mzugec@suse.cz
- split Overview into Overview and Upload
- test and run browser with specified URL
- 2.17.5
* Fri Sep 26 2008 mzugec@suse.cz
- changed workflow - overview dialog
- 2.17.4
* Wed Sep 24 2008 mzugec@suse.de
- changed workflow - expert dialog
- improved parser agent
- 2.17.3
* Fri Sep  5 2008 mzugec@suse.cz
- use .target.tmpdir for target log directory
- adapted to new supportconfig script (bnc#419516)
- 2.17.2
* Thu Sep  4 2008 mzugec@suse.cz
- complete workflow
- 2.17.1
* Fri Aug 22 2008 mzugec@suse.cz
- fixed spec file
- works with patched /sbin/support
- 2.17.0
* Tue Aug 12 2008 mzugec@novell.com
- initial version
